<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       smartdatasoft.com
 * @since      1.0.0
 *
 * @package    Edd_Discount_For_Envato_Customers
 * @subpackage Edd_Discount_For_Envato_Customers/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Edd_Discount_For_Envato_Customers
 * @subpackage Edd_Discount_For_Envato_Customers/admin
 * @author     SmartDataSoft <support@smartdatasoft.com>
 */
class Edd_Discount_For_Envato_Customers_Markup {

	public function edddfe_plans_html($fields){
		$prefix = "edddfe_";
		?>
		<div class="edddfe-rendered-form">
		<?php
		
		foreach($fields['fields'] as $field){
			
			if($field['type'] != "html_content"){
				$m_id = $prefix.$field['id'];
				$m_title = $field['name'];
				$m_type = $field['type'];
				$m_value = $field['value'];
				$m_placeholder = '';
				if(isset($field['placeholder'])){
					$m_placeholder = 'placeholder="' . esc_attr($field['placeholder']) . '"';
				}
				echo sprintf('<div class="edddfe-formbuilder-section form-group field-%1$s"><label for="%1$s" class="edddfe-formbuilder-text-label">%2$s</label><input type="%3$s" %5$s class="form-control" name="%1$s" access="false" id="%1$s" value="%4$s"></div>', $m_id, $m_title, $m_type, $m_value, $m_placeholder);
			}else{
				$m_id = $prefix.$field['id'];
				$m_title = $field['name'];
				$m_value = $field['value'];
				echo sprintf('<div class="edddfe-formbuilder-section form-group field-html-content"><label for="%1$s" class="edddfe-formbuilder-text-label">%2$s</label>%3$s</div>', $m_id, $m_title, $m_value);
			}
			
		}
		?>
		</div>
		<?php 
	}
}
